import { AbortOptions, CatOptions, IpfsNodeType, IpfsFileStats, IpfsNode } from '../../ipfs';
declare class JsIpfsNode implements IpfsNode {
    readonly nodeType: IpfsNodeType;
    get config(): {
        gatewayUrl: string;
    };
    private _isStarted;
    get isStarted(): boolean;
    private node?;
    init(): Promise<void>;
    stat(cid: string, options?: AbortOptions): Promise<IpfsFileStats>;
    cat(cid: string, options?: CatOptions): AsyncIterable<Uint8Array>;
    add(content: File | string, options?: AbortOptions): Promise<string>;
    pin(cid: string, options?: AbortOptions): Promise<string>;
    getPeers(): Promise<string[]>;
    stop(): Promise<void>;
    start(): Promise<void>;
    connectPeer(address: string): Promise<boolean>;
    ls(): AsyncIterable<import("ipfs-core-types/dist/src/pin").LsResult>;
    info(): Promise<{
        id: string;
        agentVersion: string;
        repoSize: number;
    }>;
}
export default JsIpfsNode;
